Subject: bug#53617: 28.0.90; duplicate checks in erc--switch-to-buffer

From: Guy Gastineau <[email-masked]>
Date: Fri, 28 Jan 2022 22:13:41 -0500

Sure. I will do it.  The emacs bug report buffer provided access to a help
page.  It suggested I make a patch with `diff -u`.  Is it preferable to
provide a patch as made with git?

On Fri, Jan 28, 2022, 10:07 PM J.P. <[email-masked]> wrote:

> Hi Guy,
>
> Thanks for following through with the report.
>
> Guy Gastineau <[email-masked]> writes:
>
> > The entire sexp starting with `with-current-buffer ...` can be removed
> > without changing the semantics of erc--switch-to-buffer.
>
> You're right, of course. In fact, the same commit that introduced
> `erc--buffer-p' added the redundancy as well [1]. It looks like they saw
> an opportunity to factor out that predicate and simply forgot to erase
> the last of what they'd just obsoleted.
>
> Are you sure you're not into cloning the repo and saving out a patch? No
> worries if not. This is great regardless.
>
> Thanks again,
> J.P.
>
>
> [1] https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f925fc93
>